Bug 117718 - I18N - some words in a jdbc bundle need to be translatable or marked as not to translate
I18N - some words in a jdbc bundle need to be translatable or marked as not t...
Status: RESOLVED FIXED
Product: soa
Classification: Unclassified
Component: SQL Project
6.x
Sun All
: P2 (vote)
: 6.x
Assigned To: Pavan Veeravarapu
issues@soa
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 01:44 UTC by Ken Frank
Modified: 2007-11-05 18:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2007-10-04 01:44:55 UTC
there are some values in a bundle file of org-netbeans-modules-jdbcwizard
that either should be made as separate words to be translated or marked with
#NOI18N comment to be clear not to translate since when 2 words together
with no separation, it can be thought its a function/method name
and might not be translated.

LBL_DataSource=DataSource
FMT_PhysicalView_GroupName=GroupName
LBL_Col_PollRecords=PollRecords

and should this one be translated or not, if not put the #NOI18N comment
LBL_SimpleTargetChooserPanelGUI_NewFilePrefix=new

please review other bundle files in this jar and others in xml or wsdl or xsl areas to make sure
all words that can be translated are written as 2 separate words if they are together as above or 
marked with #NOI18N if they might be viewed as traslatable but should not be.
Comment 1 Venkat Srinivasan 2007-10-04 05:20:17 UTC
Pls look into this.
Comment 2 Ken Frank 2007-10-04 05:36:48 UTC
we are looking also at a possible issue whereby something in that bundle
file, when translated,causes exception to happen when using
new wsdl from dbase wizard; when one hits next on the panel that allows choice of which columns to be used;  even with
the items mentioned in this
issue not being translated, there is something else.

it might be something that is obvious that should not be translated but
it might be something that is not obvious, where the en word might be used in some comparison,
but fails when the translated word is used.

more info on this part soon and separate issue would be filed, but if you see something
in this bundle file that might indicate about that, please let us know.

ken.frank@sun.com
Comment 3 Shivanand Kini 2007-10-08 22:22:31 UTC
assigning to enterprise
Comment 4 Radhika Maddula 2007-10-16 17:16:55 UTC
Fixed
Comment 5 Ken Frank 2007-10-16 17:55:21 UTC
what is the fix - is the word now translatable or is it marked with #NOI18N ?

ken.frank@sun.com
Comment 6 Ken Frank 2007-10-18 18:33:34 UTC
reopening the issue; I have not received information about what the fix is
so don't know how it can be verified.  please put back to resolved when the
information is provided; thanks.

ken.frank@sun.com
Comment 7 Ken Frank 2007-10-18 18:45:25 UTC
I see in current bundlel file that the 2nd and 3rd words below are
translatable words but the first one is not and is not marked
with #NOI18N comment above it (assuming it should not be translated)

ken.frank@sun.com
Comment 8 Radhika Maddula 2007-10-19 06:05:34 UTC
LBL_DataSource=DataSource is not translatable and marked as #NOI18N 
FMT_PhysicalView_GroupName=GroupName ,LBL_Col_PollRecords=PollRecords and 
LBL_SimpleTargetChooserPanelGUI_NewFilePrefix=new
are translatable. 
Comment 9 Ken Frank 2007-10-29 17:17:57 UTC
LBL_DataSource=DataSource is not translatable and marked as #NOI18N

- its not marked with #NOI18N comment, am using 1024 build.

ken.frank@sun.com
Comment 10 Narayana Rallabandi 2007-10-30 07:46:14 UTC
Please verify in the latest build.
Comment 11 Ken Frank 2007-11-04 21:38:16 UTC
the #NOI18N comment needs to go on line above the line it is referring to;
in current bundle it is on same line; that will be confusing to translators.

needs to be as
#NOI18N
LBL_DataSource=DataSource

am reopening.

ken.frank@sun.com
Comment 12 Narayana Rallabandi 2007-11-05 18:59:01 UTC
Fixed the code for conformance. The build later than that of http://deadlock.netbeans.org/hudson/job/trunk/4315 on 5th
November should contain the fix.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo